gnutls_x509_crt_get_extension_oid(3)

NAME
gnutls_x509_crt_get_extension_oid - This function returns the specified extension OID

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_extension_oid(gnutls_x509_crt_t cert, int indx, void * oid, size_t * sizeof_oid);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

int indx
    Specifies which extension OID to send. Use zero to get the first one.

void * oid
    a pointer to a structure to hold the OID (may be null)

size_t * sizeof_oid
    initially holds the size of oid

DESCRIPTION
This function will return the requested extension OID in the certificate. The extension OID will be stored as a string in the provided buffer. A negative value may be returned in case of parsing error. If your have reached the last extension available GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.